Bug 58056 - Object file dependencies missing.
Summary: Object file dependencies missing.
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: CDL (Show other bugs)
(Show other bugs)
Version: CVS
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bart Veer
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-07 13:18 UTC by David Woodhouse
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:10:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Woodhouse 2002-01-07 13:18:54 UTC
Description of Problem:

1. After changing CFLAGS in CDL files and manually running 'ecosconfig tree' to
regenerate makefiles (cf. bug #58055), object files affected by the change in
CFLAGS are not recompiled.

Object files should be rebuilt when the CFLAGS change, or at least when the
makefile is changed.

2. In an attempt to work around the above bug, the object files were removed, to
ensure that they got rebuilt. Even this did not actually cause them to be
rebuilt, though - the .o files seem to be only a side-effect of the creation of
the .o.d files.

Comment 1 Alex Schuilenburg 2003-06-20 16:10:32 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=58056


Note You need to log in before you can comment on or make changes to this bug.